%define rel 22

Summary: Take screenshots from the framebuffer
Name: fb2png
Version: 0.1
Release: %mkrel %{rel}.git85df73c
License: MIT
Group: System/Kernel and hardware
Url: https://github.com/AndrewFromMelbourne/fb2png
# from git: (cd ..; tar cfz fb2png{.tgz,/*})
Source0: https://github.com/AndrewFromMelbourne/fb2png/archive/master/%{name}.tar.gz
Source1: fb2png-0.1-index.html
BuildRequires:	pkgconfig(libpng)

%description
Utility to make screenshots from framebuffer.
It's mainly used by the installer.

%prep
%setup -q -n %{name}-master
%autopatch
cp %{SOURCE1} index.html

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
install -d %{buildroot}%{_bindir}
install -m755 fb2png %{buildroot}%{_bindir}/

%files
%doc index.html
%{_bindir}/*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.1-22.git85df73c.mga8
+ Revision: 1518626
- Mageia 8 Mass Rebuild

* Wed Oct 03 2018 pterjan <pterjan> 0.1-21.git85df73c.mga7
+ Revision: 1316227
- Mageia 7 Mass Rebuild

* Tue Sep 25 2018 pterjan <pterjan> 0.1-20.git85df73c.mga7
+ Revision: 1305224
- Make the release higher than previous one
+ kekepower <kekepower>
- Update to git85df73c
- Cleaned up the spec file a little

* Sun Mar 06 2016 tv <tv> 0.1-19.gitfe531dd.mga6
+ Revision: 986270
- really use a new git snapshot
- use a new git snapshot & drop merged patches

* Sat Mar 05 2016 tv <tv> 0.1-19.git7ca311e.mga6
+ Revision: 985934
- patch 1: fix some warnings
- adapt doc to reality:
  o adapt installing
  o adapt usage
  o no download link
  o purge TODO

* Sat Mar 05 2016 blino <blino> 0.1-18.git7ca311e.mga6
+ Revision: 985870
- rebuild for armv5tl (also missed in first Mga6 mass rebuild)

* Wed Feb 11 2015 tv <tv> 0.1-17.git7ca311e.mga6
+ Revision: 814732
- switch to a new implementation that works with 24/32 bit bpp (mga#13684)

* Wed Oct 15 2014 umeabot <umeabot> 0.1-16.mga5
+ Revision: 745997
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1-15.mga5
+ Revision: 679101
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.1-14.mga4
+ Revision: 526063
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 0.1-13.mga4
+ Revision: 435832
- rebuild for new libpng

* Fri Jan 11 2013 umeabot <umeabot> 0.1-12.mga3
+ Revision: 350074
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 15 2011 fwang <fwang> 0.1-11.mga2
+ Revision: 143641
- fix zlib include
- use system build flags

* Thu Jan 27 2011 erwan <erwan> 0.1-11.mga1
+ Revision: 42249
- imported package fb2png


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1-11mdv2011.0
+ Revision: 605118
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1-10mdv2010.1
+ Revision: 522624
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.1-9mdv2010.0
+ Revision: 424427
- rebuild

* Tue Apr 07 2009 Funda Wang <fwang@mandriva.org> 0.1-8mdv2009.1
+ Revision: 364942
- fix patch num

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.1-8mdv2009.0
+ Revision: 220780
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 0.1-7mdv2008.1
+ Revision: 149715
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Apr 27 2007 Pixel <pixel@mandriva.com> 0.1-6mdv2008.0
+ Revision: 18591
- rebuild


* Thu Oct 13 2005 Pixel <pixel@mandriva.com> 0.1-5mdk
- rebuild

* Fri Jun 04 2004 Pixel <pixel@mandrakesoft.com> 0.1-4mdk
- rebuild

* Mon Apr 21 2003 Pixel <pixel@mandrakesoft.com> 0.1-3mdk
- fix build

* Tue Jan 08 2002 Stefan van der Eijk <stefan@eijk.nu> 0.1-2mdk
- add BuildRequires

* Wed Dec 12 2001 Pixel <pixel@mandrakesoft.com> 0.1-1mdk
- initial spec

